com.smartgwt.client.util

## Class LogicalDate_CustomFieldSerializer

- java.lang.Object
- - com.google.gwt.user.client.rpc.CustomFieldSerializer<LogicalDate>
  - - com.smartgwt.client.util.LogicalDate_CustomFieldSerializer

-     public class LogicalDate_CustomFieldSerializer
      extends com.google.gwt.user.client.rpc.CustomFieldSerializer<LogicalDate>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogicalDate_CustomFieldSerializer()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `deserialize(com.google.gwt.user.client.rpc.SerializationStreamReader streamReader, LogicalDate instance)`
    `void` | `deserializeInstance(com.google.gwt.user.client.rpc.SerializationStreamReader streamReader, LogicalDate instance)`
    `boolean` | `hasCustomInstantiateInstance()`
    `static LogicalDate` | `instantiate(com.google.gwt.user.client.rpc.SerializationStreamReader streamReader)`
    `LogicalDate` | `instantiateInstance(com.google.gwt.user.client.rpc.SerializationStreamReader streamReader)`
    `static void` | `serialize(com.google.gwt.user.client.rpc.SerializationStreamWriter streamWriter, LogicalDate instance)`
    `void` | `serializeInstance(com.google.gwt.user.client.rpc.SerializationStreamWriter streamWriter, LogicalDate instance)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogicalDate_CustomFieldSerializer

          public LogicalDate_CustomFieldSerializer()

  - ### Method Detail

    - #### deserialize

          public static void deserialize(com.google.gwt.user.client.rpc.SerializationStreamReader streamReader,
                                         LogicalDate instance)

    - #### instantiate

          public static LogicalDate instantiate(com.google.gwt.user.client.rpc.SerializationStreamReader streamReader)
                                         throws com.google.gwt.user.client.rpc.SerializationException

      Throws:
        `com.google.gwt.user.client.rpc.SerializationException`

    - #### serialize

          public static void serialize(com.google.gwt.user.client.rpc.SerializationStreamWriter streamWriter,
                                       LogicalDate instance)
                                throws com.google.gwt.user.client.rpc.SerializationException

      Throws:
        `com.google.gwt.user.client.rpc.SerializationException`

    - #### deserializeInstance

          public void deserializeInstance(com.google.gwt.user.client.rpc.SerializationStreamReader streamReader,
                                          LogicalDate instance)
                                   throws com.google.gwt.user.client.rpc.SerializationException

      Specified by:
        `deserializeInstance` in class `com.google.gwt.user.client.rpc.CustomFieldSerializer<LogicalDate>`
      Throws:
        `com.google.gwt.user.client.rpc.SerializationException`

    - #### hasCustomInstantiateInstance

          public final boolean hasCustomInstantiateInstance()

      Overrides:
        `hasCustomInstantiateInstance` in class `com.google.gwt.user.client.rpc.CustomFieldSerializer<LogicalDate>`

    - #### instantiateInstance

          public LogicalDate instantiateInstance(com.google.gwt.user.client.rpc.SerializationStreamReader streamReader)
                                          throws com.google.gwt.user.client.rpc.SerializationException

      Overrides:
        `instantiateInstance` in class `com.google.gwt.user.client.rpc.CustomFieldSerializer<LogicalDate>`
      Throws:
        `com.google.gwt.user.client.rpc.SerializationException`

    - #### serializeInstance

          public void serializeInstance(com.google.gwt.user.client.rpc.SerializationStreamWriter streamWriter,
                                        LogicalDate instance)
                                 throws com.google.gwt.user.client.rpc.SerializationException

      Specified by:
        `serializeInstance` in class `com.google.gwt.user.client.rpc.CustomFieldSerializer<LogicalDate>`
      Throws:
        `com.google.gwt.user.client.rpc.SerializationException`